# UniTAP.dev.ports.modules.link.hdmi.tmds_tx

class TmdsTx:

CLass `TmdsRx` allows working with TMDS on Source (TX - transmitter) side.

- Get link mode `link_mode`.
- Set and get clock rate `clock_rate`.
- Set and get scrambler `scrambler`.

TmdsTx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
clock_rate: int

Returns current clock rate.

###### Returns:

> object of int type

link_mode: UniTAP.dev.ports.modules.link.hdmi.types.LinkMode

Returns current link mode.

###### Returns:

> object of `LinkMode` type

scrambler: bool

Returns current scrambler state.

###### Returns:

> object of bool type